Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.configuration
Class CatalogueConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon.OWSCommonCapabilities
              org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilities
                  org.deegree.ogcwebservices.csw.configuration.CatalogueConfiguration

All Implemented Interfaces:
  Serializable

    public class CatalogueConfiguration

extends CatalogueCapabilities

Represents the configuration for a deegree CSW 2.0 instance.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CatalogueConfiguration(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Contents contents, FilterCapabilities filterCapabilities, CatalogueDeegreeParams catalogDeegreeParams, URL systemId)` Generates a new CatalogConfiguration instance from the given parameters.
`CatalogueConfiguration(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Contents contents, FilterCapabilities filterCapabilities, CatalogueDeegreeParams catalogDeegreeParams, URL systemId, EBRIMCapabilities ebrimCaps)` Generates a new CatalogConfiguration instance from the given parameters.

Method Summary
`static CatalogueConfiguration` | `createConfiguration(URL url)` Creates a catalog configuration from an URL
`CatalogueDeegreeParams` | `getDeegreeParams()` Returns the `deegreeParams` -section of the configuration.
`URL` | `getSystemId()`
`void` | `setDeegreeParams(CatalogueDeegreeParams deegreeParams)` Sets the `deegreeParams` -section of the configuration.

Methods inherited from class org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilities
`createCapabilities, getEbrimCaps, getFilterCapabilities`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilities
`getContents, getOperationsMetadata, getServiceIdentification, getServiceProvider, setContents, setOperationsMetadata, setServiceIdentification, setServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogueConfiguration

    CatalogueConfiguration(String version,
                           String updateSequence,
                           ServiceIdentification serviceIdentification,
                           ServiceProvider serviceProvider,
                           OperationsMetadata operationsMetadata,
                           Contents contents,
                           FilterCapabilities filterCapabilities,
                           CatalogueDeegreeParams catalogDeegreeParams,
                           URL systemId)

  Generates a new CatalogConfiguration instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` - Optional value of service metadata document version, value is increased whenever any change is made in complete service metadata document. The value must be character string type, not empty.
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `contents` -
    `filterCapabilities` -
    `catalogDeegreeParams` -
    `systemId` -

### CatalogueConfiguration

    CatalogueConfiguration(String version,
                           String updateSequence,
                           ServiceIdentification serviceIdentification,
                           ServiceProvider serviceProvider,
                           OperationsMetadata operationsMetadata,
                           Contents contents,
                           FilterCapabilities filterCapabilities,
                           CatalogueDeegreeParams catalogDeegreeParams,
                           URL systemId,
                           EBRIMCapabilities ebrimCaps)

  Generates a new CatalogConfiguration instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` - Optional value of service metadata document version, value is increased whenever any change is made in complete service metadata document. The value must be character string type, not empty.
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `contents` -
    `filterCapabilities` -
    `catalogDeegreeParams` -
    `systemId` -
    `ebrimCaps` - the specified ebrim extensions

Method Detail

### createConfiguration

    public static CatalogueConfiguration createConfiguration(URL url)
                                                      throws IOException,
                                                             SAXException,
                                                             InvalidConfigurationException

  Creates a catalog configuration from an URL

  Parameters:
    `url` -
  Returns:
    the new instance
  Throws:
    `IOException`
    `SAXException`
    `InvalidConfigurationException`

### getDeegreeParams

    public CatalogueDeegreeParams getDeegreeParams()

  Returns the `deegreeParams` -section of the configuration.

  Returns:
    the `deegreeParams` -section of the configuration.

### setDeegreeParams

    public void setDeegreeParams(CatalogueDeegreeParams deegreeParams)

  Sets the `deegreeParams` -section of the configuration.

  Parameters:
    `deegreeParams` -

### getSystemId

    public URL getSystemId()

  Returns:
    a most important systemId, needed for almost everything

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org